namespace Valg.EVA.Skanning.Commands.SetBoxCompletelyScanned
{
    public class SetBoxCompletelyScannedResult
    {
        private SetBoxCompletelyScannedResult() { }

        public static SetBoxCompletelyScannedResult Ok()
        {
            return new SetBoxCompletelyScannedResult
            {
                BoxWasDeleted = false,
                Success = true
            };
        }
        public static SetBoxCompletelyScannedResult BoxIsDeleted()
        {
            return new SetBoxCompletelyScannedResult
            {
                BoxWasDeleted = true,
                Success = false
            };
        }
        public bool BoxWasDeleted { get; private set; }
        public bool Success { get; private set; }
    }
}
